## Process this file with automake to produce Makefile.in

## Created by Anjuta

EXTRA_DIST = 
BUILT_SOURCES =
CLEANFILES =

AM_CPPFLAGS = \
	-DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\" \
	-DPACKAGE_SRC_DIR=\""$(srcdir)"\" \
	-DPACKAGE_DATA_DIR=\""$(datadir)"\" $(UNITY_WEBAPPS_CFLAGS) \
	$(UNITY_WEBAPPS_DAEMON_CFLAGS) \
	$(UNITY_WEBAPPS_DEBUG_CFLAGS) \
	$(UNITY_WEBAPPS_COVERAGE_CFLAGS) \
	-I$(top_srcdir)/src \
	-I$(top_srcdir)/src/context-daemon/util

AM_CFLAGS =\
	 -Wall\
	 -g

lib_LTLIBRARIES = libunity-webapps-repository.la

libunity_webapps_repositoryincludedir = $(includedir)/libunity-webapps-repository
libunity_webapps_repositoryinclude_HEADERS = \
	unity-webapps-url-index.h \
	unity-webapps-script-loader.h \
	unity-webapps-dpkg-url-index.h  \
	unity-webapps-available-application.h \
	unity-webapps-local-available-application.h \
	unity-webapps-dpkg-available-application.h \
	unity-webapps-application-repository.h

libunity_webapps_repository_la_SOURCES = \
	unity-webapps-url-index.c \
	unity-webapps-script-loader.c \
	unity-webapps-dpkg-url-index.c \
	unity-webapps-available-application.c \
	unity-webapps-dpkg-available-application.c \
	unity-webapps-application-repository.c \
	unity-webapps-application-repository.h \
	unity-webapps-application-manifest.c \
	unity-webapps-application-manifest.h \
	unity-webapps-application-collector.c \
	unity-webapps-application-collector.h \
	unity-webapps-local-available-application.c \
	unity-webapps-local-url-index.c \
	unity-webapps-local-url-index.h \
	unity-webapps-policy-authorizer.c \
	unity-webapps-policy-authorizer.h \
	unity-webapps-package-mechanism.c \
	unity-webapps-package-mechanism.h \
	unity-webapps-apt-package-mechanism.c \
	unity-webapps-apt-package-mechanism.h \
	../libunity-webapps/unity-webapps-debug.c \
	../unity-webapps-url-db.c \
	../context-daemon/util/unity-webapps-dirs.c \
	../unity-webapps-string-utils.c \
	../unity-webapps-string-utils.h \
	../unity-webapps-desktop-infos.c \
	../unity-webapps-desktop-infos.h

libunity_webapps_repository_la_LDFLAGS =  $(UNITY_WEBAPPS_COVERAGE_LDFLAGS)

libunity_webapps_repository_la_LIBADD = $(UNITY_WEBAPPS_LIBS) $(UNITY_WEBAPPS_DAEMON_LIBS)


-include $(INTROSPECTION_MAKEFILE)
INTROSPECTION_GIRS =
INTROSPECTION_SCANNER_ARGS = \
	--add-include-path=$(top_srcdir)/src \
	$(addprefix --c-include=src/, $(libunity_webapps_repositoryinclude_HEADERS)) \
	--symbol-prefix=unity_webapps \
	--identifier-prefix=UnityWebapps
INTROSPECTION_COMPILER_ARGS = --includedir=$(builddir) --includedir=$(top_srcdir)/src

if HAVE_INTROSPECTION

UnityWebappsRepository-0.2.gir: libunity-webapps-repository.la
UnityWebapps_0_2_gir_INCLUDES = \
	GObject-2.0 \
	Gio-2.0 \
	GLib-2.0

# not sure why this isn't getting picked up from the INCLUDES
INTROSPECTION_SCANNER_ARGS += \
	--include=GObject-2.0 \
	--include=Gio-2.0 \
	--include=GLib-2.0

UnityWebappsRepository_0_2_gir_CFLAGS = $(UNITY_WEBAPPS_CFLAGS) -I$(top_srcdir)/src
UnityWebappsRepository_0_2_gir_LIBS = libunity-webapps-repository.la
UnityWebappsRepository_0_2_gir_FILES = $(libunity_webapps_repository_la_SOURCES)
UnityWebappsRepository_0_2_gir_NAMESPACE = UnityWebappsRepository
UnityWebappsRepository_0_2_gir_VERSION = 0.2
UnityWebappsRepository_0_2_gir_EXPORT_PACKAGES = unity-webapps-repository-0.2
UnityWebappsRepository_0_2_gir_SCANNER_FLAGS = $(INTROSPECTION_SCANNER_ARGS)

INTROSPECTION_GIRS += UnityWebappsRepository-0.2.gir

girdir = $(datadir)/gir-1.0
gir_DATA = $(INTROSPECTION_GIRS)

typelibdir = $(libdir)/girepository-1.0
typelib_DATA = $(INTROSPECTION_GIRS:.gir=.typelib)

CLEANFILES += $(gir_DATA) $(typelib_DATA)

endif

include_HEADERS = 

pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = libunity-webapps-repository.pc

EXTRA_DIST += \
	libunity-webapps-repository.pc.in



noinst_PROGRAMS = \
	ubuntu-webapps-repository-tool \
	local-test

ubuntu_webapps_repository_tool_SOURCES = \
	main.c

local_test_SOURCES = \
	local-test.c

local_test_LDADD = \
	$(UNITY_WEBAPPS_DAEMON_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	libunity-webapps-repository.la

ubuntu_webapps_repository_tool_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_DAEMON_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	libunity-webapps-repository.la
